API ReferenceManagementManagement Keys
GET
/v1/mgmt/managementkey/search

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Search management keys using another management key.

curl -X GET "https://api.descope.com/v1/mgmt/managementkey/search"
{  "keys": [    {      "id": "string",      "name": "string",      "description": "string",      "status": "string",      "createdTime": 0,      "expireTime": 0,      "permittedIps": [        "string"      ],      "reBac": {        "companyRoles": [          "string"        ],        "projectRoles": [          {            "projectIds": [              "string"            ],            "roles": [              "string"            ]          }        ],        "tagRoles": [          {            "tags": [              "string"            ],            "roles": [              "string"            ]          }        ]      },      "version": 0,      "authzVersion": 0,      "trustedIssuer": {        "name": "string",        "issuer": "string",        "expireTime": 0,        "audience": "string",        "claimFilters": {          "property1": null,          "property2": null        },        "expireTimeUnit": "string"      }    }  ]}
export interface Response {keys?: ManagementKey[]}export interface ManagementKey {id?: stringname?: stringdescription?: stringstatus?: stringcreatedTime?: numberexpireTime?: numberpermittedIps?: string[]reBac?: {companyRoles?: string[]projectRoles?: ManagementKeyProjectRole[]tagRoles?: ManagementKeyTagRole[]}version?: numberauthzVersion?: numbertrustedIssuer?: {name?: stringissuer?: stringexpireTime?: numberaudience?: stringclaimFilters?: {/** * Represents a dynamically typed value which can be either null, a number, a string, a boolean, a recursive struct value, or a list of values. */[k: string]: {[k: string]: unknown}}expireTimeUnit?: string}}export interface ManagementKeyProjectRole {projectIds?: string[]roles?: string[]}/** * Management key */export interface ManagementKeyTagRole {tags?: string[]roles?: string[]}
Was this helpful?